Delete Conversation History
delete
/ai/applications/{applicationName}/databases/{databaseName}/conversationHistory
Deletes conversation history for the specified outline and chat profile.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Query Parameters
-
profileName(required):
profile name.
Response
200 Response
OK
Conversation history deleted successfully.
400 Response
Bad Request
Failed to delete conversation history.
Examples
The following example shows how to delete a conversation history.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X 'DELETE' \
'http://myserver.example.com:9000/essbase/rest/v1/ai/applications/Sample/databases/Basic/conversationHistory?profileName=SAMPLE_BASIC__CHAT_PROFILE_1784114662000' \
-H 'accept: */*' \
-u %User%:%Password%